Open-AudIT
http://www.open-audit.org/phpBB3/

error upgrading to 1.12.8.2.1
http://www.open-audit.org/phpBB3/viewtopic.php?f=20&t=6573
Page 1 of 1

Author:  ray [ Tue Dec 20, 2016 11:47 pm ]
Post subject:  error upgrading to 1.12.8.2.1

A Database Error Occurred
Error Number: 1091

Can't DROP 'id'; check that column/key exists

ALTER TABLE system DROP KEY id

Filename: C:\xampplite\open-audit\code_igniter\system\database\DB_driver.php

Line Number: 330


running on windows server 2012 upgrading from 1.12.6

Author:  Mark [ Thu Dec 29, 2016 2:29 pm ]
Post subject:  Re: error upgrading to 1.12.8.2.1

I quietly uploaded 1.12.10. Suggest you try that.

Author:  ray [ Wed Jan 04, 2017 1:40 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

Just tried 1.12.10 and got the same error. Did a restore to previous version when I opened was prompted to upgrade the database and it successfully upgraded to 1.12.10

I realize 1.12.10 isn't released here are a few problems I have had see the two attached screen shots. First is a config errors saying the name and ip do not match. The second I tried to select multiple computers then select edit to update the location field. In IE I get a popup asking if I want to save or open? In Mozilla a get a coding error see screen shots attached.

Attachments:
NOB-OA2_2.PNG
NOB-OA2_2.PNG [ 58.76 KiB | Viewed 1895 times ]
NOB-OA2.PNG
NOB-OA2.PNG [ 149.07 KiB | Viewed 1895 times ]

Author:  Mark [ Wed Jan 04, 2017 8:56 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

ray wrote:
First is a config errors saying the name and ip do not match.
Wiki page updated with fix here - https://community.opmantek.com/display/OA/1.12.10+Errata

ray wrote:
The second I tried to select multiple computers then select edit to update the location field. In IE I get a popup asking if I want to save or open? In Mozilla a get a coding error see screen shots attached.
This is a bit unusual. Do you have some actual Orgs in the database? This error is from the function called 'collection' in /code_igniter/application/models/m_orgs.php
Can you add the following code to the bottom of open-audit/code_igniter/application/views/theme-tango/v_main.php. That will output the user object - can you post it here please.
Code:
<?php
echo "<pre>\n";
print_r($this->user);
?>

The output will look something like the below:
Code:
stdClass Object
(
    [id] => 1
    [name] => admin
    [password] => 0ab0a153e5bbcd80c50a02da8c97f3c87686eb8512f5457d30e328d2d4448c8968e9f4875c2eb61356197b851dd33f90658b20b32139233b217be54d903ca3b6
    [full_name] => Administrator
    [email] => admin@openaudit
    [lang] => en
    [display_count] => 10
    [theme] => tango
    [admin] => y
    [active] => y
    [sam] => 3
    [permissions] =>
    [debug] =>
    [orgs] => Array
        (
            [0] => 10
        )

    [org_list] => 0
)


EDIT - I think I have a fix for the second issue. Fix posted to the errata page.

Author:  ray [ Thu Jan 05, 2017 6:23 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

For problem one I commented the lines out in the template file did not fix the error do I have to reinstall to pull in the template file or did I miss something?

On the second problem I went to the directory you specified and there is not a file v_main.php guessing that's probably the issue.

Attachments:
OA2 Error3.PNG
OA2 Error3.PNG [ 200.95 KiB | Viewed 1867 times ]

Author:  Mark [ Thu Jan 05, 2017 7:35 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

My apologies - I guess I should have had more coffee yesterday morning before replying :-(
1 - You will need to restart the Opmantek Daemon service.
2 - It helps if I give you the correct file name, I was missing a directory. It should have been open-audit/code_igniter/application/views/theme-tango/v_main.php

Author:  ray [ Sat Jan 07, 2017 12:15 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

After restarting the Daemon the details of the errors are gone it just shows configuration in red with no messages.

With the update of the location field I selected multiple computers and try to edit I go to the location make a selection from dropdown then click the green checkmark no errors but location doesn't get updated don't see a submit button like previous versions?

Next some of the computers selected had duplicate IP's so I tried clicking "Recalculate IP Address" and get the following error.

Attachments:
OA2_ErrorUpdate.PNG
OA2_ErrorUpdate.PNG [ 32.64 KiB | Viewed 1673 times ]

Author:  ray [ Wed Jan 11, 2017 5:47 am ]
Post subject:  Re: error upgrading to 1.12.8.2.1

Here is the output you were looking for

Attachments:
OA2_ErrorUpdt2.PNG
OA2_ErrorUpdt2.PNG [ 39.56 KiB | Viewed 1615 times ]

Page 1 of 1 All times are UTC + 10 hours
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/